/***************************************************************************\
 *                                     Math2HTML                            *
 *                                     ------------------------------------ *
 *                                     Copyright  1995 Janne Saarela/CERN  *
 \**************************************************************************/

#include "phase.h"

extern int parse_file(void);

// global variables

List			parsed;
ConfigurationFile	*config;
StringMap		mappings(300);
char			*pSource, *pResult;

// read in the configuration file
void phase1()
{
    // read in the configuration file
    Pair *pPair;
    while (pPair = config->nextEntry()) {
	mappings.Add (pPair);
    }
}

// read the input and build the parse tree
int phase2(void)
{
    return parse_file();
}

void convert_html3 (void)
{
    parsed.convert_html3 ();
}

void convert_12083 (void)
{
    parsed.convert_12083 ();
}
