/***************************************************************************\
 *                                     Math2HTML                            *
 *                                     ------------------------------------ *
 *                                     Copyright  1995 Janne Saarela/CERN  *
 \**************************************************************************/

#include <stream.h>
#include <stdio.h>
#include <fcntl.h>
#include "type.h"

class ConfigurationFile
{
public:
    ConfigurationFile ();
    ConfigurationFile (PSTR pszFileName);
    ~ConfigurationFile ();

    int		open (PSTR pszFileName);
    void	close (void);

    Pair	*nextEntry (void);

private:
    int		readLine (PSTR pBuffer, long lCount);

    char	*m_pszFileName;
    FILE	*m_pFile;
};

