/***************************************************************************\
 *                                     Math2HTML                            *
 *                                     ------------------------------------ *
 *                                     Copyright  1995 Janne Saarela/CERN  *
 \**************************************************************************/

#include "type.h"

// Store (key,value) pairs into a HashTable and retrieve values
// by the key

class StringMap
{
public:
    StringMap (int nSize);
    ~StringMap ();

    void	Add (Pair *pPair);
    
    PSTR	operator[] (PSTR pszKey);

private:
    struct Node {
	Pair *pPair;
	Node *pNextNode;
    };

    unsigned	hash (char *pszStr);

    int		m_iSize;
    Node	**m_pHashTable;
};
