/***************************************************************************\
 *                                     Math2HTML                            *
 *                                     ------------------------------------ *
 *                                     Copyright  1995 Janne Saarela/CERN  *
 \**************************************************************************/

/*
 * $Log$
 */

#ifndef RTTI_H
#define RTTI_H 1

#define DECLARE_RTTI(Class)  virtual char *RTTIName(void) \
				{ return #Class; } \
			     virtual char RTTIMatch(char *pszClassName) \
				{ return !strcmp (pszClassName, #Class); }

class RTTI
{
public:
    virtual char *	RTTIName (void) = 0;
    virtual char	RTTIMatch (char *pszClassName) = 0;
};

#endif
