/***************************************************************************\
 *                                     Math2HTML                            *
 *                                     ------------------------------------ *
 *                                     Copyright  1995 Janne Saarela/CERN  *
 \**************************************************************************/

#ifndef TYPE__H
#define TYPE__H

#include <stream.h>
#include <stdio.h>

struct Pair {
    char *key;
    char *value;
};

// pointer to string

typedef char * PSTR;

// these variable should be defined AND allocated by the calling application

extern char	*pSource, *pResult;

// define the assertation

extern void AssertFailed (char *pszFileName, int iLine, char *pszAssertation);

#define ASSERT(a)       ((a) ? (void)0 : ::AssertFailed (__FILE__, __LINE__, #a))

#endif
